Name:          vmmlib
Version:       1.0
Release:       0.2.rc1%{?dist}
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/Libraries
License:       BSD
URL:           http://vmmlib.sourceforge.net/
Source0:       %{name}_%{version}_rc1.tgz
# Fix for broken test-suite, tests that still fail have been disabled until
# there will be better fix
Patch0:        vmmlib-test-fix.patch
BuildArch:     noarch
BuildRequires: atlas-devel lapack-devel blas-devel f2c glibc-headers

%description
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%package devel
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/Libraries

%description devel
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%prep
%setup -c
%patch0 -p1 -b .test-fix

%build
make %{?_smp_mflags}

%install
install -m 755 -d %{buildroot}%{_includedir}/vmmlib
install -p -m 644 -t %{buildroot}%{_includedir}/vmmlib include/vmmlib/*.hpp
mkdir _tmpdoc
mv include/vmmlib/{LICENSE,ACKNOWLEDGEMENTS} _tmpdoc/

%check
./vmmlib_unit_tests

%files devel
%doc README _tmpdoc/*
%{_includedir}/vmmlib

%changelog
* Tue Dec 20 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-0.2.rc1
- Added dist tag to spec

* Tue Dec 20 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-0.1.rc1
- New version

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.4.20111214svn558
- New svn snapshot that fixes cp3_tensor test

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.3.20111214svn556
- New svn snapshot that fixes several problems in unit test

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20111122svn540
- Fixed unit test on 64 bit

* Tue Nov 22 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20111122svn540
- Initial release
